# Get QR Code Endpoint: GET /api/qr_codes/{document-id}.json Version: 2.0.0 Security: apiKeyAuth ## Path parameters: - `document-id` (integer, required) The ID of the document. Example: 1050 ## Query parameters: - `api_key` (string, required) Your API Key. Example: "YOUR_API_KEY" ## Response 200 fields (application/json): - `qr_code` (object) - `qr_code.url` (string) Example: "url.png" ## Response 202 fields (application/json): - `qr_code` (object) - `qr_code.message` (string) Example: "QR Code is being generated" ## Response 401 fields (application/json): - `errors` (array) - `errors.error` (string) Example: "Authentication Error" ## Response 404 fields (application/json): - `errors` (array) Example: [{"error":"Document not found"}] - `errors.error` (string) ## Response 422 fields (application/json): - `errors` (array) Example: [{"error":"QR code is not available for draft documents."},{"error":"There was an error generating the QR code."}] - `errors.error` (string)